Bug 753321 - SWIG Needs update for 2.0.1 regression
Summary: SWIG Needs update for 2.0.1 regression
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: swig
Version: 15
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Adam Tkac
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: Pivy
TreeView+ depends on / blocked
 
Reported: 2011-11-11 21:02 UTC by Richard Shaw
Modified: 2013-04-30 23:50 UTC (History)
2 users (show)

Fixed In Version: swig-2.0.4-2.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-25 01:58:20 UTC
Type: ---


Attachments (Terms of Use)

Description Richard Shaw 2011-11-11 21:02:49 UTC
Description of problem:
There is a regression from 2.0.1 which prevents some programs from being wrapped properly. In this specific case, Pivy.

This has been fixed upstream, see:
http://swig.svn.sourceforge.net/viewvc/swig?view=revision&revision=12814


Version-Release number of selected component (if applicable):
swig-2.0.4-1


How reproducible:
Every time.


Steps to Reproduce:
1. Try to build Pivy 0.5.0

  
Actual results:
pivy/coin_wrap.cpp:35427:96: error: no matching function for call to 'SoDB::getHeaderData(const SbString&, SbBool&, float&, void (**&)(void*, SoInput*), void (**&)(void*, SoInput*), void*&, SbBool&)'
pivy/coin_wrap.cpp:35427:96: note: candidate is:
/usr/include/Coin3/Inventor/SoDB.h:65:17: note: static SbBool SoDB::getHeaderData(const SbString&, SbBool&, float&, void (*&)(void*, SoInput*), void (*&)(void*, SoInput*), void*&, SbBool)
/usr/include/Coin3/Inventor/SoDB.h:65:17: note:   no known conversion for argument 4 from 'void (**)(void*, SoInput*)' to 'void (*&)(void*, SoInput*)'
pivy/coin_wrap.cpp: In function 'PyObject* _wrap_SoDB_getHeaderData__SWIG_1(PyObject*, PyObject*)':


Expected results:
Good build

Additional info:

Comment 1 Fedora Update System 2011-11-15 13:06:40 UTC
swig-2.0.4-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/swig-2.0.4-4.fc16

Comment 2 Fedora Update System 2011-11-15 13:06:54 UTC
swig-2.0.4-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/swig-2.0.4-2.fc15

Comment 3 Fedora Update System 2011-11-16 00:24:28 UTC
Package swig-2.0.4-4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing swig-2.0.4-4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15909
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-11-25 01:58:20 UTC
swig-2.0.4-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2011-11-25 02:04:25 UTC
swig-2.0.4-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Richard Shaw 2011-11-25 15:16:00 UTC
Thanks!


Note You need to log in before you can comment on or make changes to this bug.